#
# spec file for package videotext (Version 0.6.19991029)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libpng libz xf86 xview xview-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared xview xview-devel

Name:         videotext
Copyright:    GPL
Group:        X11/Applications
Provides:     vidtext
Obsoletes:    vidtext 
Autoreqprov:  on
Version:      0.6.19991029
Release:      142
Summary:      Viewer for Videotext
Source:       videotext-%{version}.tar.bz2
Patch:        videotext-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
A program that allows you to view videotext pages under X11.
The program is accompanied with a kernel loadable module that enables
access to the hardware of the videotext decoder.

Authors:
--------
    Martin Buck <martin-2.buck@student.uni-ulm.de>

SuSE series: xap

%package -n km_vdtxt
Summary:      vidtext Kernel Module Sources
Group:        System Environment/Kernel

%description -n km_vdtxt
FOR INTERNAL USE ONLY!

Authors:
--------
    Martin Buck <martin.buck@bigfoot.com>

SuSE series: suse

%prep
%setup -n videotext-0.6.19991029
%patch
install -d -m 755 $RPM_BUILD_DIR/kernel-modules/%{name}
cp -a $RPM_BUILD_DIR/videotext-%{version}/driver/{*{.c,.h},Makefile} $RPM_BUILD_DIR/kernel-modules/%{name}
mv $RPM_BUILD_DIR/kernel-modules/%{name}/{Makefile,Makefile.module}

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make "DESTDIR=$RPM_BUILD_ROOT" install
make "DESTDIR=$RPM_BUILD_ROOT" install.spooldirs
install -d -m 755 $RPM_BUILD_ROOT/usr/src/kernel-modules/
cp -a $RPM_BUILD_DIR/kernel-modules/%{name} $RPM_BUILD_ROOT/usr/src/kernel-modules/
chmod 755 $RPM_BUILD_ROOT/var/spool/vtx/*

%files
%defattr(-,root,root)
%doc COPYING README* TODO ChangeLog VideoteXt.lsm VTXCARD-VENDORS driver
%doc %{_mandir}/man1/*
/usr/lib/vtx
/usr/X11R6/bin/videotext
/usr/X11R6/lib/X11/fonts/misc/*.gz
/usr/bin/*
/var/spool/vtx

%files -n km_vdtxt
%defattr(-,root,root)
/usr/src/kernel-modules/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n videotext
* Mon Mar 26 2001 - ro@suse.de
- changed neededforbuild <xv32base> to <xview>
- changed neededforbuild <xv32dev> to <xview-devel>
* Tue Mar 20 2001 - cihlar@suse.cz
- fixed to compile on axp
* Fri Feb 09 2001 - cihlar@suse.cz
- dropped subpackage vdtxtdrv
- removed lx_suse from neededforbuild
- fixed km_vdtxt to compile
* Thu Feb 08 2001 - cihlar@suse.cz
- fixed neededforbuild
* Wed Jan 03 2001 - cihlar@suse.cz
- changed permissions of /var/spool/vtx/*
* Tue Nov 14 2000 - cihlar@suse.cz
- renamed vidtext -> videotext
- fixed to compile
- bzipped sources
* Fri Oct 20 2000 - cihlar@suse.cz
- clean up spec file
* Thu Jun 22 2000 - cihlar@suse.cz
- fixed Copyright tag
* Mon Jun 12 2000 - cihlar@suse.cz
- added subpackages with kernel-module sources and binaries
* Wed May 10 2000 - cihlar@suse.cz
- sorted, /usr/doc/packages -> /usr/share/doc/packages
* Tue Mar 28 2000 - cihlar@suse.cz
- added BuildRoot
* Tue Mar 21 2000 - ro@suse.de
- fixed to compile on alpha
* Fri Feb 18 2000 - fehr@suse.de
- changed to current version 0.6.19991029
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Nov 12 1998 - ro@suse.de
- build frontend only
* Fri Jan 09 1998 - fehr@suse.de
- fix bash2 problem in driver/Makefile, module now under misc
* Thu Dec 11 1997 - ro@suse.de
- copied usr/include/sys/vtx.h to usr/doc/packages/vidtext
* Thu Jan 02 1997 - mantel@suse.de
  recompiled with kernel 2.0.25
